**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/24.1/documents/document-annotations/import-document-annotations-from-pdf.md

# Import Document Annotations from PDF



Load annotations from a PDF to Vault. This is equivalent to the *Import Annotations* action in the Vault document viewer UI. The file must be a PDF created by exporting annotations for the latest version of the same document through either the *Export Annotations* action in the Vault UI or the [Export Document Annotations as PDF](/vault-api/api-reference/24.1/documents/document-annotations/export-document-annotations-to-pdf) endpoint. You must have a role on the document that includes the *Annotate* permission.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/annotations/file" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## File Upload {#file-upload}

To upload the file, use the multi-part attachment with the file component `"file={file_name}"`. The maximum allowed file size is 4GB. Vault truncates annotations that exceed the following character limits:

* **Note annotations**: *Subject* (in Header) limited to 32,000 characters

* **Note, Line, and Reply annotations**: *Comment* limited to 32,000 characters

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=document2016.pdf" \
https://myvault.veevavault.com/api/v24.1/objects/documents/548/annotations/file

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "OK",
    "replies": 0,
    "failures": 0,
    "new": 0
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault uploads the file and its annotations.



---

**Previous:** [Export Document Version Annotations to PDF](/medical/vault-api/api-reference/24.1/documents/document-annotations/export-document-version-annotations-to-pdf)  
**Next:** [Import Document Version Annotations from PDF](/medical/vault-api/api-reference/24.1/documents/document-annotations/import-document-version-annotations-from-pdf)